Bug 254208

Summary: mail/fetchmail: fetchmailconf: update to 6.4.17 (minor fixes, Japanese translation)
Product: Ports & Packages Reporter: Matthias Andree <mandree>
Component: Individual Port(s)Assignee: Matthias Andree <mandree>
Status: Closed FIXED    
Severity: Affects Only Me CC: chalpin, fernape
Priority: --- Keywords: buildisok
Version: LatestFlags: mandree: maintainer-feedback+
mandree: merge-quarterly+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch for ports/mail/fetchmail to update it and fetchmailconf to 6.4.17 chalpin: maintainer-approval+

Description Matthias Andree freebsd_committer 2021-03-10 22:10:02 UTC
Created attachment 223175 [details]
patch for ports/mail/fetchmail to update it and fetchmailconf to 6.4.17

non-maintainer update proposal. test compiled in poudriere on 11.4 i386 and 12.2 amd64, and on a live 12.2 amd64 system where I briefly run-time tested it.

# BUG FIXES
* IMAP client: plus memory leaks for username and password when trying
  the LOGIN (password-based) authentication and encountered a timeout situation.
* dist-tools/getstats.py: also counts lines in *.py files [for NEWS file]

# CHANGES
* fetchmail.man: now mentions that you may need to add --ssl when specifying
  a TLS-wrapped port.
* fetchmailconf: --version (-V) now prints the Python version in use.

# TRANSLATION UPDATE
* ja:    Takeshi Hamasaki [Japanese]
Comment 1 Automation User 2021-03-10 22:25:11 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/268572070
Comment 2 Fernando Apesteguía freebsd_committer 2021-03-11 09:02:49 UTC
^Triage: Reporter is committer, assign accordingly.

While here:

Q/A:
 /tmp/254208/mail/fetchmail/files/patch-ZZZ-87626c2707cc0d82e49e160ab3c85430ff33534f: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.

Thanks!
Comment 3 Matthias Andree freebsd_committer 2021-03-11 17:44:11 UTC
(In reply to Fernando Apesteguía from comment #2)

Hi Fernando,

this patch that you flagged is taken from my upstream Git repository and addresses one specific topic: the port from C89 to C99's long long type for the mailbox size, to support mailboxes >= 2 GibiBytes. It is a cherry-pick from the 6.5 branch (legacy_6x currently in Git).

Running 'make makepatch' would break it apart into many short patches and lose the cohesion by topic, which would make the entire port less concise and more cumbersome to maintain. So I propose and prefer to keep it as one file.
Comment 4 Corey Halpin 2021-03-11 21:35:48 UTC
Comment on attachment 223175 [details]
patch for ports/mail/fetchmail to update it and fetchmailconf to 6.4.17

Looks good to me!

mail/fetchmail passes 'poudriere testport' on both i386 and amd64 under 11.4 and 12.2 for the following configurations:
  - Default settings 
  - Default settings, build as non-root
  - ssl=base, GSSAPI_MIT
  - ssl=base, GSSAPI_NONE
  - ssl=openssl
  - ssl=openssl with SSL2 and SSL3 disabled
  - ssl=openssl, GSSAPI_NONE
  - ssl=libressl
  - ssl=libressl, GSSAPI_NONE

mail/fetchmailconf passes 'poudriere testport' on both i386 and amd64 under 11.4 and 12.2 with default settings.

I agree that the patch file portlint issues a warning about should be left as it is to preserve the context of the changes and maintain the association with the corresponding commit in the upstream repo.
Comment 5 commit-hook freebsd_committer 2021-03-11 22:17:50 UTC
A commit references this bug:

Author: mandree
Date: Thu Mar 11 22:17:08 UTC 2021
New revision: 568138
URL: https://svnweb.freebsd.org/changeset/ports/568138

Log:
  mail/fetchmail: fetchmailconf: update to 6.4.17 (minor fixes, Japanese translation)

  # BUG FIXES
  * IMAP client: plus memory leaks for username and password when trying
    the LOGIN (password-based) authentication and encountered a timeout situation.
  * dist-tools/getstats.py: also counts lines in *.py files [for NEWS file]

  # CHANGES
  * fetchmail.man: now mentions that you may need to add --ssl when specifying
    a TLS-wrapped port.
  * fetchmailconf: --version (-V) now prints the Python version in use.

  # TRANSLATION UPDATE
  * ja:    Takeshi Hamasaki [Japanese]

  PR:		254208
  Approved by:	Corey Halpin (maintainer)
  MFH:		2021Q1

Changes:
  head/mail/fetchmail/Makefile
  head/mail/fetchmail/distinfo
Comment 6 commit-hook freebsd_committer 2021-03-11 22:20:53 UTC
A commit references this bug:

Author: mandree
Date: Thu Mar 11 22:20:23 UTC 2021
New revision: 568139
URL: https://svnweb.freebsd.org/changeset/ports/568139

Log:
  MFH: r564925 r568138

  mail/fetchmail and mail/fetchmailconf: Update to 6.4.16

  PR:		253423
  Submitted by:	Corey Halpin <chalpin AT cs.wisc DOT edu> (maintainer)

  mail/fetchmail: fetchmailconf: update to 6.4.17 (minor fixes, Japanese translation)

  # BUG FIXES
  * IMAP client: plus memory leaks for username and password when trying
    the LOGIN (password-based) authentication and encountered a timeout situation.
  * dist-tools/getstats.py: also counts lines in *.py files [for NEWS file]

  # CHANGES
  * fetchmail.man: now mentions that you may need to add --ssl when specifying
    a TLS-wrapped port.
  * fetchmailconf: --version (-V) now prints the Python version in use.

  # TRANSLATION UPDATE
  * ja:    Takeshi Hamasaki [Japanese]

  PR:		254208
  Approved by:	Corey Halpin (maintainer)

  ChangeLog: https://gitlab.com/fetchmail/fetchmail/-/blob/66ae17e72ca9f1e92b7690b0d846fa8df603e7c3/NEWS#L85

Changes:
_U  branches/2021Q1/
  branches/2021Q1/mail/fetchmail/Makefile
  branches/2021Q1/mail/fetchmail/distinfo
Comment 7 Matthias Andree freebsd_committer 2021-03-11 22:22:56 UTC
Thanks for the review and tests and your approval, Corey!

MFH done including the 6.4.14->6.4.16 update since there was a relevant SMTP AUTH fix in 6.4.15.
Comment 8 Matthias Andree freebsd_committer 2021-03-11 22:30:06 UTC
(In reply to Matthias Andree from comment #0)
of course that's "plugs memory leaks" in the bugfix, not "plus".
Comment 9 Fernando Apesteguía freebsd_committer 2021-03-12 06:44:41 UTC
Matthias,

Thanks for the information. You are right, the patch was OK as it was.

Thanks!